Ruby ree-1.8.7-2012.02 on Ubuntu 12.04

Thanks to help from Fabio Rhem’s gist, I was able to get Ruby Enterprise Edition 1.8.7 (ree-1.8.7-2012.02) working on Ubuntu 12.04. I wrote my own gist for our own uses:

apt-get install -y build-essential wget zlib1g-dev libssl-dev libffi-dev libreadline-dev libxslt-dev libxml2-dev
cd /usr/src

wget http://rubyenterpriseedition.googlecode.com/files/ruby-enterprise-1.8.7-2012.02.tar.gz

tar xzf ruby-enterprise-1.8.7-2012.02.tar.gz && cd ruby-enterprise-1.8.7-2012.02/source

wget https://github.com/wayneeseguin/rvm/raw/master/patches/ree/1.8.7/tcmalloc.patch
wget https://github.com/wayneeseguin/rvm/raw/master/patches/ree/1.8.7/stdout-rouge-fix.patch

patch -p1 < tcmalloc.patch
patch -p1 < stdout-rouge-fix.patch

cd .. && ./installer --auto /usr/local --dont-install-useful-gems --no-dev-docs
Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google+ photo

You are commenting using your Google+ account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

w

Connecting to %s